Package weka.classifiers.bayes.net.search.local

# Interface Scoreable

All Known Implementing Classes:
  `DiscreteEstimatorBayes`, `DiscreteEstimatorFullBayes`

public interface Scoreable
Interface for allowing to score a classifier

Version:
  $Revision: 1.4 $
Author:
  Remco Bouckaert (rrb@xm.co.nz)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AIC`
`static final int`
`BAYES`
score types
`static final int`
`BDeu`
`static final int`
`ENTROPY`
`static final int`
`MDL`

## Method Summary

Modifier and Type
Method
Description
`double`
`logScore(int nType, int nCardinality)`
Returns log-score

## Field Details

### BAYES

static final int BAYES
score types

See Also:
  - Constant Field Values

### BDeu

static final int BDeu

See Also:
  - Constant Field Values

### MDL

static final int MDL

See Also:
  - Constant Field Values

### ENTROPY

static final int ENTROPY

See Also:
  - Constant Field Values

### AIC

static final int AIC

See Also:
  - Constant Field Values

## Method Details

### logScore

double logScore(int nType, int nCardinality)
Returns log-score

Parameters:
  `nType` - the score type
Returns:
  the log-score